<?php
/**
 * Icon Chooser Idalog.
 *
 * @since 1.0.0
 * @version 1.0.0
 * @package Ayyash
 * @author ThemeOO
 */

if ( ! defined( 'ABSPATH' ) ) {
	header( 'Status: 403 Forbidden' );
	header( 'HTTP/1.1 403 Forbidden' );
	die();
}

/**
 * Class Themeoo_Icons_Dialog
 */
class Themeoo_Icons_Dialog {

	/**
	 * Themeoo_Icons_Dialog constructor.
	 *
	 * @return void
	 */
	public function __construct() {
		add_action( 'admin_footer', array( $this, 'icon_dialog' ), 99 );
		add_action( 'wp_ajax_themeoo-icons', array( $this, 'icon_generator' ), 99 );
	}

	/**
	 *
	 * Icon Generator
	 *
	 * @return void
	 */
	public function icon_generator() {
		if ( is_readable( THEMEOO_THEME_DIR . 'inc/icon/ti-icons.json' ) ) {
			$icons = file_get_contents( THEMEOO_THEME_DIR . 'inc/icon/ti-icons.json' );
			if ( ! empty( $icons ) ) {
				$icons = json_decode( $icons );
				if ( isset( $icons->icons ) && ! empty( $icons->icons ) ) {
					foreach ( $icons->icons as $icon ) {
						$label = ucwords( str_replace( '-', ' ', $icon ) );
						printf(
							'<a href="#" class="pick-icon" data-name="ti-%1$s" title="%2$s" aria-label="%3$s"><span class="ti-%1$s" aria-hidden="true"></span></a>',
							esc_attr( $icon ),
							esc_attr( $label ),
							sprintf(
								/* translators: 1. Icon Name */
								esc_attr__( 'Select “%s“ Icon', 'ayyash' ),
								esc_attr( $label )
							)
						);
					}
				}
			}
		}
		die();
	}

	/**
	 *
	 * Icon Generator
	 *
	 * @return void
	 */
	public function icon_dialog() {
		?>
		<div id="icon-dialog" title="Icon Manager">
			<div id="dialog-header-wrap">
				<label for="icon-search" class="screen-reader-text"><?php esc_html_e( 'Search a icon...', 'ayyash' ); ?></label>
				<input type="text" name="" id="icon-search" placeholder="<?php esc_attr_e( 'Search a icon...', 'ayyash' ); ?>" value="">
			</div>
			<div id="dialog-shadow-up"></div>
			<div id="icon-load"></div>
			<div id="dialog-insert-button">
				<div id="dialog-shadow-down"></div>
				<a href="#" id="icon-insert" class="button button-primary button-large"><?php esc_html_e( 'Use this icon', 'ayyash' ); ?></a>
			</div>
		</div>
		<div id="shortcode-overlay"></div>
		<?php
	}
}

new Themeoo_Icons_Dialog();
