<?php
/**
 * Register required plugin with tgm so user can be notifies which plugin need to install for the perfect output of the theme.
 *
 * @package Ayyash
 * @version 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	header( 'Status: 403 Forbidden' );
	header( 'HTTP/1.1 403 Forbidden' );
	die();
}

add_action( 'tgmpa_register', 'themeoo_recommended_plugins' );

/**
 * Hook into TGMPA and add recommended plugins
 *
 * @return void
 */
function themeoo_recommended_plugins() {
	$plugins = apply_filters(
		'themeoo_recommended_plugins',
		array(
			array(
				'slug'     => 'absolute-thumbnail-column',
				'name'     => __( 'Absolute Thumbnail Column', 'ayyash' ),
				'source'   => 'https://wordpress.org/plugins/absolute-thumbnail-column/',
				'required' => false,
			),
			array(
				'slug'     => 'regenerate-thumbnails',
				'name'     => __( 'Regenerate Thumbnails', 'ayyash' ),
				'source'   => 'https://wordpress.org/plugins/regenerate-thumbnails/',
				'required' => false,
			),
			array(
				'slug'     => 'advanced-import',
				'name'     => __( 'One Click Import', 'ayyash' ),
				'source'   => 'https://wordpress.org/plugins/advanced-import/',
				'required' => false,
			),

			array(
				'slug'     => 'absolute-addons',
				'name'     => __( 'absolute-addons', 'ayyash' ),
				'source'   => 'https://wordpress.org/plugins/absolute-addons/',
				'required' => false,
			),

			array(
				'slug'     => 'elementor',
				'name'     => __( 'Elementor', 'ayyash' ),
				'source'   => 'https://wordpress.org/plugins/elementor/',
				'required' => false,
			),
		)
	);

	tgmpa( $plugins ); // @phpstan-ignore-line
}
